| Home | Libraries | People | FAQ | More

## Class invalid_option_value

boost::program_options::invalid_option_value —

## Synopsis

    class invalid_option_value
      :  : public boost::program_options::validation_error
    {
    public:
      // construct/copy/destruct
      invalid_option_value(const std::string &);
      invalid_option_value(const std::wstring &);

      // public member functions
    };

## Description

### `invalid_option_value` construct/copy/destruct

1.     invalid_option_value(const std::string & value);

2.     invalid_option_value(const std::wstring & value);

### `invalid_option_value` public member functions

| Copyright © 2002-2004 Vladimir Prus